
Name:		pykaraoke
Version:	0.7.5
Release:	%mkrel 3
Summary:	PyKaraoke - CD+G/MPEG/KAR Karaoke Player
License:	LGPL 
Group:		Sound
URL:		http://www.kibosh.org/
Source0:        http://sourceforge.net/projects/pykaraoke/files/%{name}/%{version}/%{name}-%{version}.tar.xz
Source1:	timidity-%name.cfg
Source2:	%{name}.png
Source3:	%{name}.desktop
Source4:	%{name}_mini.desktop
# imported from debian
Source5:	pycdg.6
Source6:	pykar.6
Source7:	pykaraoke.6
Source8:	pykaraoke_mini.6
Source9:	pympg.6
Patch0:		disable_fonts_installation.patch
Patch1:		fix_desktop_files.patch
Patch2:		remove_hashbangs.patch
Patch3:		fix_cdg2mpg_bashism.patch
Patch4:		wxpython3.0.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}%{release}-buildroot
BuildRequires:  desktop-file-utils
BuildRequires:  python-setuptools
BuildRequires:	python-devel >= 2.6
BuildRequires:  wxPythonGTK-devel
BuildRequires:  wxPythonGTK-wxversion
BuildRequires:  %{_lib}pygame1.9-devel 
BuildRequires:  atlas
Requires:       python >= 2.6
Requires:       python-numpy
Requires:       pygame 
Requires:       wxPythonGTK
Requires:       TiMidity++
Requires:       mutagen
Requires:	timidity-patch-gravis
Requires:	timidity-patch-freepats
Recommends:	timidity-patch-fluid
Recommends:	karaoke-songs

%description
PyKaraoke is a free karaoke player for Linux, FreeBSD, NetBSD, Windows, OSX
and GP2X. You can use this program to play your collection of CDG, MIDI and
MPEG karaoke songs. No songs are provided, you must obtain these from elsewhere.
Warning - this version uses 1251 codepage for kar files!

 Features:
    * CDG (MP3+G, OGG+G) playback - Play standard CDG karaoke files
    * MIDI (.MID/.KAR) playback - Play MIDI format karaoke files
    * MPEG playback - Play karaoke songs and movies in MPEG format
    * Playlist - Queue up songs, sit back and enjoy
    * Searchable song database - Easily find your songs from the main screen
    * Search inside ZIP files - Play MP3+G/MIDI files wrapped in ZIP files
    * Cross-platform - Runs on Windows and Linux

 MIDI/KAR support on Linux, requires the following:
    * Timidity++
    * Sounds/patches for Timidity++ (e.g. freepats or eawpatches)

 PyKaraoke is a frontend for the pycdg and pympg karaoke players. It provides
 a search engine to find your songs, a file/folder browser to pick songs from
 disk, as well as a playlist.

 PyKaraoke-Mini is a frontend for the pycdg and pympg karaoke players.  It is
 similar to pykaraoke, but it is designed for use on small portable devices
 rather than PC's. In particular, it could be useful on any device lacking a
 keyboard and mouse.

 This package includes the Python modules needed to play CDG files, MIDI/KAR
 files and MPEG files.

 This package also includes the arch-dependent modules that gives a major
 performance boost to the CDG player.

Note: No songs are provided with the player you can obtain these from the addon 
karaoke-songs pkg.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --prefix=/usr --root=$RPM_BUILD_ROOT

# pykaraoke will not run without this modifified timidity.cfg
install -Dpm 0644 %SOURCE1 %buildroot%{_sysconfdir}/timidity/timidity-pykaraoke.cfg

# symlink gravis files, just in case
mkdir -p $RPM_BUILD_ROOT%{_datadir}/timidity
ln -s gravis $RPM_BUILD_ROOT%{_datadir}/timidity/instruments

chmod +x $RPM_BUILD_ROOT/usr/bin/cdg2mpg
chmod +x $RPM_BUILD_ROOT/usr/bin/py*

install -Dpm 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name.png
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/*
cp %SOURCE3 %SOURCE4 $RPM_BUILD_ROOT%{_datadir}/applications/

# install man-pages
mkdir -p $RPM_BUILD_ROOT%{_datadir}/man/man6
cp %SOURCE5 %SOURCE6 %SOURCE7 %SOURCE8 %SOURCE9 $RPM_BUILD_ROOT%{_datadir}/man/man6/

rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/fonts/*.ttf
ln -sf /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf $RPM_BUILD_ROOT%{_datadir}/%{name}/fonts/DejaVuSans.ttf
ln -sf /usr/share/fonts/truetype/ttf-dejavu/DejaVuSansCondensed.ttf $RPM_BUILD_ROOT%{_datadir}/%{name}/fonts/DejaVuSansCondensed.ttf
ln -sf /usr/share/fonts/truetype/ttf-dejavu/DejaVuSansCondensed-Bold.ttf $RPM_BUILD_ROOT%{_datadir}/%{name}/fonts/DejaVuSansCondensed-Bold.ttf

%clean
rm -rf %{buildroot}

%post
%{_sbindir}/update-alternatives --install %{_sysconfdir}/timidity/timidity.cfg timidity.cfg %{_sysconfdir}/timidity/timidity-pykaraoke.cfg 50
%{update_menus}

%postun
if [ "$1" = "0" ]; then
  %{_sbindir}/update-alternatives --remove timidity.cfg %{_sysconfdir}/timidity/timidity-pykaraoke.cfg
fi
%{clean_menus}

%files
%defattr(-,root,root)
%doc README.txt PKG-INFO
%{_sysconfdir}/timidity/*
%{_bindir}/cdg2mpg
%{_bindir}/py*
%{python_sitearch}/*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/%{name}
%{_datadir}/timidity/instruments
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/*


%changelog
* Sat Oct 15 2016 Zen Subz <techars21 at gmail dot com> - 0.7.5-3pclos2016
- Re-built with correct path for DejaVu fonts
- Fix update-alternatives install for timidity.cfg
- Rebuild with man-pages and patches from debian

* Wed Aug 14 2013 billybot <billybot> 0.7.5-2pclos2013
- update

* Mon Nov 05 2012 Neal <nealbrks0 at gmail dot com> 0.7.5-1pclos2012
- process

* Sun Nov 04 2012 Ken <lxgator at gmail.com> 0.7.5-1-pclos2012
- 0.7.5

* Fri Sep 03 2010 Texstar <texstar at gmail.com> 0.7.3-2pclos2010
- rebuild

* Wed May 12 2010 slick50 <lxgator@gmail.com> 0.7.3-1-pclos2010
- 0.7.3

* Thu Aug 27 2009 slick50 <lxgator@gmail.com> 0.7.1-1-pclos2007
- 0.7.1

* Thu Aug 20 2009 slick50 <lxgator@gmail.com> 0.7.0-1-pclos2007
- 0.7.0

* Mon Feb 23 2009 Slick50 <linuxgator.org> 0.6.0-1-pclos2007
- Initial build 
